lens-5.2.3: Lenses, Folds and Traversals

Safe Haskell | Safe-Inferred
Language | Haskell2010

Control.Lens.Internal.Profunctor

# Documentation

newtype WrappedPafb (f :: Type -> Type) (p :: Type -> Type -> Type) a b #

Constructors

WrapPafb |

Fields

- unwrapPafb :: p a (f b)

#### Instances

Instances details

(Applicative f, Choice p) => Choice (WrappedPafb f p) # |
Instance details Defined in Control.Lens.Internal.Profunctor Methods left' :: WrappedPafb f p a b -> WrappedPafb f p (Either a c) (Either b c) # right' :: WrappedPafb f p a b -> WrappedPafb f p (Either c a) (Either c b) #
(Functor f, Profunctor p) => Profunctor (WrappedPafb f p) # |

Instance details

Defined in Control.Lens.Internal.Profunctor

Methods

dimap :: (a -> b) -> (c -> d) -> WrappedPafb f p b c -> WrappedPafb f p a d #

lmap :: (a -> b) -> WrappedPafb f p b c -> WrappedPafb f p a c #

rmap :: (b -> c) -> WrappedPafb f p a b -> WrappedPafb f p a c #

(#.) :: forall a b c q. Coercible c b => q b c -> WrappedPafb f p a b -> WrappedPafb f p a c #

(.#) :: forall a b c q. Coercible b a => WrappedPafb f p b c -> q a b -> WrappedPafb f p a c #